• Post Reply Bookmark Topic Watch Topic
  • New Topic

inconsistent jars for hibernate setup  RSS feed

 
jyoti j singh
Greenhorn
Posts: 16
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
hello all,

I have jboss 5.x installed to my machine and application is using hibernate. till now we have ejb3-persistence.jar but it does not provide detach method; so I have upgraded jar to hibernate-jpa-2.1-api-1.0.0.Final-redhat-1.jar; application compiles / build /deploys fine but having runtime issue and getting java.lang.AbstractMethodError: org.jboss.jpa.tx.TransactionScopedEntityManager.detach exception.

I think, I need to replace other hibernate jar(s) in jboss, but not sure from where to start (which ones), can someone please give some clue on this?
thanks.
 
jyoti j singh
Greenhorn
Posts: 16
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Can someone please share which jar is needed to replace jboss-jpa-deployers.jar?
 
Don't get me started about those stupid light bulbs.
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!